<?php

namespace App\Models\Core\Auth;

use Sebastienheyd\Boilerplate\Models\Permission as parentPermission;

class Permission extends parentPermission
{
    protected $connection = 'mysql';
    protected $guarded = ['id'];
    
    public function application()
    {
        return $this->belongsTo(\App\Models\Core\App\Application::class)->withDefault(['name' => '']);
    }

    public function application_module()
    {
        return $this->belongsTo(\App\Models\Core\App\ApplicationModule::class)->withDefault(['name' => '']);
    }
}
